summaryrefslogtreecommitdiff
path: root/tests/tail-2/pid
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tail-2/pid')
-rwxr-xr-xtests/tail-2/pid4
1 files changed, 4 insertions, 0 deletions
diff --git a/tests/tail-2/pid b/tests/tail-2/pid
index 446c6dbe3..b290f012c 100755
--- a/tests/tail-2/pid
+++ b/tests/tail-2/pid
@@ -70,4 +70,8 @@ fi
getlimits_
tail --pid=$INT_MAX -f /dev/null || fail=1
+# Ensure fractional sleep parameter is honored with --pid
+timeout 1 tail -s.1 -f /dev/null --pid=$PID_T_MAX
+test $? = 124 && fail=1
+
Exit $fail